Subject: Re: [PATCH NEXT] rtlwifi: Fix endian error in extracting packet type

From: Larry Finger <[email-masked]>
Date: Tue, 29 Oct 2013 15:16:35 -0500

On 10/29/2013 09:27 AM, Bjørn Mork wrote:
>
> It's not validating the upper 8 bits of the port numbers either, so it
> will hit random UDP traffic in addition to DHCP.
>
> But it was good to see this function now. I was wondering how to support
> some buggy 3G modem firmware without ugly hacks. Seems there will always
> be worse hacks in drivers/net, no matter what I do :-)

I'm happy that Realtek and I could make your day. The next version is checking 
the full 16-bit port numbers.

Thanks,

Larry